Skip to content

List image scan security findings

Request

List the image scan security findings

Security
bearer-key
Path
projectuuidstringrequired

UUID of the project

scanuuidstringrequired

scan UUID

Query
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

limitinteger

Specifies the maximum number of items to be returned in the response.

Default:1000
GET
/api/v3.0/projects/{projectuuid}/scans/{scanuuid}/images/findings/security
curl -i -X GET \
  'https://baseUrl/api/v3.0/projects/{projectuuid}/scans/{scanuuid}/images/findings/security?cursor=string&limit=1000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(common.AdditionalData)
responseArray of objects(model.SecurityFindingExternal)
supportTokenstring
Example:"659C0A4730"
Response
{ "additionalData": { "error": "string", "paging": {}, "totalItems": 100 }, "response": [ {} ], "supportToken": "659C0A4730" }